crashpad::ElfImageReader::ProgramHeaderTableSpecific< PhdrType > Class Template Reference
Inheritance diagram for crashpad::ElfImageReader::ProgramHeaderTableSpecific< PhdrType >:

## Public Member Functions

bool | Initialize (const ProcessMemoryRange &memory, VMAddress address, VMSize num_segments, bool verbose)
bool | VerifyLoadSegments (bool verbose) const override
size_t | Size () const override
bool | GetPreferredElfHeaderAddress (VMAddress *address, bool verbose) const override
bool | GetPreferredLoadedMemoryRange (VMAddress *base, VMSize *size, bool verbose) const override
bool | GetDynamicSegment (VMAddress *address, VMSize *size) const override
bool | GetProgramHeader (uint32_t type, const PhdrType **header_out) const
bool | GetNoteSegment (size_t *start_index, VMAddress *address, VMSize *size) const override

The documentation for this class was generated from the following file:

- snapshot/elf/elf_image_reader.cc